software-center crashed with '<?xml version="1.0"?>\n' in _read()

Bug #662414 reported by Jonathan Bodian on 2010-10-17
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Gary Lasker

Bug Description

Binary package hint: software-center

I'm using ubuntu 10.10 I tried to open software center and it told me to update a few things so I did. After I did it still didn't work

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: software-center 3.0.4
ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Sun Oct 17 22:21:12 2010
ExecutablePath: /usr/share/software-center/software-center
InterpreterPath: /usr/bin/python2.6
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with '<?xml version="1.0"?>\n' in _read()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Jonathan Bodian (jbodian) wrote :
tags: removed: need-duplicate-check
Gary Lasker (gary-lasker) wrote :

Hi Jonathan, thanks for your bug report. It appears that your softwarecenter.cfg file is strangely corrupted and that is causing the startup error that you are seeing.

The simplest fix is for you to just delete the file. It is safe to do this as this file only stores UI state (window size, open/close state of the left pane expanders, etc.). It will be recreated on next run of Software Center.

To delete the file, just type the following at the command line:

  $ rm ~/.config/software-center/softwarecenter.cfg

Software Center should now start correctly.

visibility: private → public
Gary Lasker (gary-lasker) wrote :

Committed a fix to prevent a crash on a corrupted config file.

Changed in software-center (Ubuntu):
status: New → Fix Committed
importance: Undecided → Low
assignee: nobody → Gary Lasker (gary-lasker)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.1.1

---------------
software-center (3.1.1) natty; urgency=low

  [ Kiwinote ]
  * softwarecenter/app.py:
    - don't require '.deb' extentions for deb files (LP: #656967)
    - don't require absolute paths for deb files (LP: #669398)
  * softwarecenter/view/appdetailsview_gtk.py:
    - correctly reload appdetailsview after a transaction has run
    - _update_minimal() only gets two args

  [ Gary Lasker ]
  * softwarecenter/backend/channel.py,
    softwarecenter/view/channelpane.py,
    softwarecenter/view/viewswitcher.py:
    - convert channel getters to properties
  * softwarecenter/backend/config.py:
    - don't crash on a corrupted config file (LP: #662414)
  * softwarecenter/view/dependency_dialogs.py:
    - fix TypeError crash in remove dependency dialog
      (LP: #669161)
  * softwarecenter/utils.py,
    softwarecenter/view/softwarepane.py,
    softwarecenter/view/widgets/imagedialog.py,
    softwarecenter/view/widgets/spinner.py:
    - refactor spinner code
    - make a spinner panel widget and add label support
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)

  [ Michael Vogt ]
  * softwarecenter/view/purchasedialog.py:
    - show generic error on purchase failure and log the error
       (LP: #632361)
  * test/test_startup.py:
    - add startup speed baseline/regression test
  * software-center:
    - add --measure-startup-time commandline to allow external apps
      to drive statup performance measuring
  * utils/update-software-center-agent:
    - add --ignore-etag to force reload even if we have a cached version
  * softwarecenter/db/update.py:
    - do not fail if "MimeType" is missing from a desktop file
  * softwarecenter/apt/apthistory.py:
    - use python-apt tagfile parser instead of python-debian
  * debian/control:
    - drop python-debian dependency
  * test/test_gui_buy_something.py:
    - run test with --ignore-etag
  * softwarecenter/apt/aptcache.py, test/test_addons.py:
    - make the addons test more robust

  [ Martin Pitt ]
  * debian/rules: Supply dh --with option after $@, for compatibility with
    current debhelper.
  * debian/control: Build with scour for SVG optimization. Add python-scour
    build dependency.
 -- Michael Vogt <email address hidden> Thu, 18 Nov 2010 16:58:02 +0100

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments